Skip to main content
`Ctrl`+`K`

# Pix2Sky_ZenithalPerspective

class astropy.modeling.projections.Pix2Sky_ZenithalPerspective(*args, **kwargs)

  Bases: `Pix2SkyProjection`, `Zenithal`

  Zenithal perspective projection - pixel to sky.

  Corresponds to the `AZP` projection in FITS WCS.

  \[\begin{split}\phi &= \arg(-y \cos \gamma, x) \\ \theta &= \left\{\genfrac{}{}{0pt}{}{\psi - \omega}{\psi + \omega + 180^{\circ}}\right.\end{split}\]

  where:

  \[\begin{split}\psi &= \arg(\rho, 1) \\ \omega &= \sin^{-1}\left(\frac{\rho \mu}{\sqrt{\rho^2 + 1}}\right) \\ \rho &= \frac{R}{\frac{180^{\circ}}{\pi}(\mu + 1) + y \sin \gamma} \\ R &= \sqrt{x^2 + y^2 \cos^2 \gamma}\end{split}\]
  Parameters:
    mu `python:float`

      Distance from point of projection to center of sphere in spherical radii, μ. Default is 0.

    gamma `python:float`

      Look angle γ in degrees. Default is 0°.

  Attributes Summary

  `gamma` |
  `mu` |
  `param_names` | Names of the parameters that describe models of this type.

  Attributes Documentation

  gamma = _ParameterDS('gamma', value=0.0)
  mu = _ParameterDS('mu', value=0.0)
  param_names = ('mu', 'gamma')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.